## ZendX_JQuery_Form_Decorator_UiWidgetContainer

Description

Abstract Form Decorator for all jQuery UI Widget Containers

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- abstract:
- license: New BSD License

Located in /JQuery/Form/Decorator/UiWidgetContainer.php (line 33)

    Zend_Form_Decorator_Abstract
       |
       --ZendX_JQuery_Form_Decorator_UiWidgetContainer

Direct descendents

Class | Description
--- | ---
ZendX_JQuery_Form_Decorator_AccordionContainer | Form Decorator for jQuery Accordion View Helper
ZendX_JQuery_Form_Decorator_TabContainer | Form Decorator for jQuery Tabs View Helper
ZendX_JQuery_Form_Decorator_DialogContainer | Form Decorator for jQuery Dialog View Helper

Variable Summary
array $_attribs
string $_helper
array $_jQueryParams
Method Summary
array getAttribs ()
string getHelper ()
array getJQueryParams ()
string render (string $content)
Variables
array $_attribs (line 45)

Element attributes

- access: protected

string $_helper (line 39)

View helper

- access: protected

Redefined in descendants as:

- ZendX_JQuery_Form_Decorator_AccordionContainer::$_helper
- ZendX_JQuery_Form_Decorator_TabContainer::$_helper
- ZendX_JQuery_Form_Decorator_DialogContainer::$_helper

array $_jQueryParams (line 51)

jQuery option parameters

- access: protected

Methods
getAttribs (line 72)

Get element attributes

- access: public

array getAttribs ()
getHelper (line 58)

Get view helper for rendering container

- access: public

string getHelper ()
getJQueryParams (line 90)

Get jQuery option parameters

- access: public

array getJQueryParams ()
render (line 122)

Render an jQuery UI Widget element using its associated view helper

Determine view helper from 'helper' option, or, if none set, from the element type. Then call as helper($element->getName(), $element->getValue(), $element->getAttribs())

- throws: Zend_Form_Decorator_Exception if element or view are not registered
- access: public

string render (string $content)

- string $content

Documentation generated on Mon, 24 Aug 2009 17:58:50 -0700 by phpDocumentor 1.4.2